local actors = Def.ActorFrame({})
actors[#actors+1] = Def.ActorFrame({
    FOV = 90,
    InitCommand = function(self)
        local characterIds = {}
        for _, v in pairs(CHARMAN:GetAllCharacters()) do
            if v:GetDisplayName() ~= 'None' then
                characterIds[v:GetDisplayName()] = v:GetCharacterID()
            end
        end
        for _, pn in pairs(PlayerNumber) do
            local characterName = W_PLAYER:ReadPref(pn, 'DancerName', 'Off')
            if characterName == 'Random' then
                for i=1, 10 do
                    local randomChar = CHARMAN:GetRandomCharacter()
                    if randomChar:GetDisplayName() ~= 'None' then
                        GAMESTATE:SetCharacter(pn, randomChar:GetCharacterID())
                        break
                    end
                    if i==10 then
                        GAMESTATE:SetCharacter(pn, 'default')
                    end
                end
            else
                GAMESTATE:SetCharacter(pn, characterIds[characterName] or 'default')
            end
        end
    end,
    OnCommand = function(self)
        self:Center()
    end,
    LoadActor(THEME:GetPathG('', 'ScreenStageInformation/options')),
    LoadActor(THEME:GetPathG('', 'ScreenStageInformation/decorations')),
})

return actors
