local wait = GAMESTATE:IsDemonstration() and 0 or 1.0
return Def.ActorFrame({
    Def.Quad({
        InitCommand = function(self)
            self:FullScreen()
            self:diffuse(GAMESTATE:IsDemonstration()
                and color('0.1, 0.1, 0.12, 1.0')
                or Color('White'))
            self:diffusealpha(0)
        end,
        OffCommand = function(self)
            self:sleep(wait)
            self:linear(0.2)
            self:diffusealpha(1)
        end,
    }),
    --LoadActor("song_graphic");
    LoadActor(THEME:GetPathG('ScreenGameplay/cleared/cleared', 'text'))..{
        InitCommand = function(self)
            self:scaletocover(0,0,1280,480)
            self:Center()
            self:diffusealpha(0)
            self:zoom(2)
        end,
        OffCommand = function(self)
            if not GAMESTATE:IsDemonstration() then
                self:sleep(wait)
                self:sleep(0.5)
                self:linear(0.2)
                self:diffusealpha(1)
                self:zoom(1)
                self:sleep(0.5)
                self:linear(1.0)
                self:diffusealpha(0)
            end
        end,
    },
    LoadActor(THEME:GetPathG('ScreenGameplay/cleared/cleared', 'text'))..{
        InitCommand = function(self)
            self:scaletocover(0,0,1280,480)
            self:Center()
            self:diffusealpha(0)
            self:zoom(1)
            self:blend('BlendMode_Add')
        end,
        OffCommand = function(self)
            if not GAMESTATE:IsDemonstration() then
                self:sleep(wait)
                self:sleep(1.0)
                self:diffusealpha(1)
                self:linear(0.4)
                self:diffusealpha(0)
                self:zoom(2)
            end
        end,
    },
})
