local folder = ...
local modelFile = folder..'model.txt'

local actors = Def.ActorFrame({})
actors[#actors+1] = Def.Model({
    Meshes = modelFile,
    Materials = modelFile,
    Bones = modelFile,
})
if FILEMAN:DoesFileExist(folder..'AdditionalActors.lua') then
    actors[#actors+1] = LoadActor(folder..'AdditionalActors')
end

return actors
