local width = ...
local w = 6
local h = 2
local actors = Def.ActorFrame({})
-- 点滅
actors[#actors + 1] = Def.Quad({
        OnCommand = function(self)
            self:x(-width)
            self:diffuse(1, 1, 1, 0.5)
            self:zoomto(width*2-2, h)
            self:diffuseshift()
            self:effectclock('bgm')
            self:effectcolor1(1, 1, 1, 1.0)
            self:effectcolor2(1, 1, 1, 0.3)
        end,
    })
-- 移動背景
actors[#actors + 1] = Def.Quad({
        OnCommand = function(self)
            self:x(width)
            self:diffuse(1, 1, 1, 0.15)
            self:zoomto(width*2-2, h)
        end,
    })
-- 移動メイン
actors[#actors + 1] = Def.Quad({
        OnCommand = function(self)
            self:x(width)
            self:diffuse(1, 1, 1, 0.35)
            self:zoomto(w, h)
            self:bob()
            self:effectmagnitude(width-w/2-1, 0, 0)
            self:effectoffset(0.5)
            self:effectclock('bgm')
        end,
    })
-- 移動残像
for i = 1, 8 do
actors[#actors + 1] = Def.Quad({
        OnCommand = function(self)
            self:x(width)
            self:diffuse(1, 1, 1, 0.3 - 0.025*i)
            self:zoomto(w, h)
            self:bob()
            self:effectmagnitude(width-w/2-1, 0, 0)
            self:effectoffset(0.5 - 0.02*i)
            self:effectclock('bgm')
        end,
    })
end

return actors