-- SPLIT BPMラベル
local areaWidth = ...

local SplitBpm = LoadActor(W:Object('radius'), {
  Id     = 'SplitBpm',
  Width  = 60,
  Height = 10,
  Radius = 5,
  Color  = color('0, 0.75, 1.0, 1.0'),
})

return Def.ActorFrame({
    OnCommand = function(self)
        self:xy(areaWidth*3/4 + 3, 2)
    end,
    UpdateBpmLabelsCommand = function(self, params)
        if W:Song() and params.HasSplitBpm and not params.ShowTrueBpm then
            self:visible(true)
        else
            self:visible(false)
        end
    end,
    ChangedShowTrueBpmCommand = function(self, params)
      self:visible(params.HasSplitBpm and not params.ShowTrueBpm)
    end,
    SplitBpm:Actor(),
    LoadFont('Common Small Bold')..{
        Text = 'SPLIT BPM',
        OnCommand= function(self)
            self:diffuse(1, 1, 1, 1)
            self:zoom(0.35)
            self:y(-0.5)
        end,
    },
})