-- TRUE BPMの!マーク
local areaWidth = ...

local TrueBpm = LoadActor(W:Object('radius'), {
    Id     = 'TrueBpm',
    Width  = 10,
    Height = 10,
    Radius = 5,
    Color  = color('1.0, 0.45, 0.25, 0.8'),
})

return Def.ActorFrame({
    OnCommand = function(self)
        self:xy(areaWidth/2 + 6, 2)
    end,
    UpdateBpmLabelsCommand = function(self, params)
        if params.HasTrueBpm and not params.ShowTrueBpm and not params.IsRandom then
            self:visible(true)
        else
            self:visible(false)
        end
    end,
    ChangedShowTrueBpmCommand = function(self, params)
        self:playcommand('UpdateBpmLabels', params)
        SOUND:PlayOnce(THEME:GetPathS('Common', 'value'), true)
    end,
    TrueBpm:Actor(),
    LoadFont('Common Small Bold')..{
        Text = '!',
        OnCommand= function(self)
            self:diffuse(1, 1, 1, 1)
            self:zoom(0.35)
            self:y(-0.5)
        end,
    },
})