return Def.ActorFrame({
    OffCommand = function(self)
        self:sleep(0.2)
        self:linear(0.2)
        self:addy(SCREEN_HEIGHT-150)
    end,
    -- 難易度
    Def.ActorFrame({
        OnCommand = function(self)
            self:y(200)
        end,
        LoadActor('player difficulty', PLAYER_1)..{
            OnCommand = function(self)
                self:x(-1 * math.min(SCREEN_CENTER_X*0.73, 255))
                self:zoom(0.78)
                self:diffusealpha(0)
                self:addx(-200)
                self:sleep(0.6)
                self:linear(0.2)
                self:addx(200)
                self:diffusealpha(1)
            end,
        },
        LoadActor('player difficulty', PLAYER_2)..{
            OnCommand = function(self)
                self:x(math.min(SCREEN_CENTER_X*0.73, 255))
                self:zoom(0.78)
                self:diffusealpha(0)
                self:addx(200)
                self:sleep(0.6)
                self:linear(0.2)
                self:addx(-200)
                self:diffusealpha(1)
            end,
        },
    }),
    Def.Quad({
        InitCommand = function(self)
            self:y(140)
            self:zoomto(340, 20*8)
            self:diffuse(0, 0, 0, 0.5)
            self:fadeleft(1)
            self:faderight(1)
        end,
    }),
    -- 難易度一覧
    LoadActor('difficulty list')..{
        OnCommand = function(self)
            self:y(95)
        end,
    },
    -- 譜面情報
    Def.ActorFrame({
        OnCommand = function(self)
            self:y(65)
        end,
        LoadActor('step data', PLAYER_1)..{
            OnCommand = function(self)
                self:x(-145)
            end,
        },
        LoadActor('step data', PLAYER_2)..{
            OnCommand = function(self)
                self:x(145)
            end,
        },
    }),
    -- ハイスコア
    LoadActor('player hiscore')..{
        OnCommand = function(self)
            self:y(205)
            self:zoomto(4, 0)
            self:sleep(0.4)
            self:linear(0.2)
            self:zoomto(1, 1)
        end,
    },
    -- レーダーはoverlay

    -- オンライン
    W_NET:GetScoreActor()..{
        ResponseScoreCommand = function(self, params)
            if GAMESTATE:GetCurrentSteps(params.Player):GetChartKey() == params.ChartKey then
                self:GetParent():GetChild('NetScore'):playcommand('UpdateNetScore', params)
            end
        end,
    },
    LoadFont('Common Small Normal')..{
        Name = 'NetScore',
        InitCommand = function(self)
            self:xy(120, 50):zoom(0.35):horizalign(left):vertalign(top)
        end,
        UpdateNetScoreCommand = function(self, params)
            self:settext(Serialize(params))
        end,
    },
})