-- 設定ファイルからゲームオプションを読み取って更新
return Def.ActorFrame({
    OnCommand = function(self)
        -- フレームをトップレイヤーに設定
        -- local layer = W_OPTION:ReadPref('FrameOverlay', '0')
        -- if tonumber(layer) > 0 then
        --     local screen = SCREENMAN:GetTopScreen()
        --     local overlay = screen and screen:GetChild('Overlay') or nil
        --     if overlay then
        --         overlay:draworder(layer)
        --     end
        -- end
        for p,pn in pairs(PlayerNumber) do
            if W_PLAYER:IsEnabled(pn) then
                -- Mini設定
                local mini = W_PLAYER:ReadPref(pn, 'ReceptorScale', 'Default')
                local miniMap = {
                    [THEME:GetString('OptionNames', 'Mini100')]  = 'mod,mini',
                    [THEME:GetString('OptionNames', 'Mini80')]   = 'mod,80% mini',
                    [THEME:GetString('OptionNames', 'Mini60')]   = 'mod,60% mini',
                    [THEME:GetString('OptionNames', 'Mini40')]   = 'mod,40% mini',
                    [THEME:GetString('OptionNames', 'Mini20')]   = 'mod,20% mini',
                    [THEME:GetString('OptionNames', 'Mini-20')]  = 'mod,-7% mini',
                    [THEME:GetString('OptionNames', 'Mini-40')]  = 'mod,-14% mini',
                    [THEME:GetString('OptionNames', 'Mini-60')]  = 'mod,-21% mini',
                    [THEME:GetString('OptionNames', 'Mini-80')]  = 'mod,-28% mini',
                    [THEME:GetString('OptionNames', 'Mini-100')] = 'mod,-35% mini',
                }
                GAMESTATE:ApplyGameCommand(miniMap[mini] or 'mod,no mini', pn)
            end
        end
    end,
})