local blurActor = LoadActor(W:Object('blur'))

-- decorationsではunderlayの内容をすりガラス風のぼかしで表示する
return Def.ActorFrame({
    Def.ActorFrame({
        blurActor:Background(),
        blurActor:Mask(),
        blurActor:Texture(),
        OnCommand = function(self)
            self:diffusealpha(0)
        end,
        ShowBlurMessageCommand = function(self, params)
            local PosX = params.X or SCREEN_CENTER_X
            local PosY = params.Y or SCREEN_CENTER_Y
            self:stoptweening()
            self:playcommand('ResizeBlur', {
                Left   = PosX - params.Width/2,
                Right  = PosX + params.Width/2,
                Top    = PosY - params.Height/2,
                Bottom = PosY + params.Height/2,
            })
            self:sleep(0.1)
            self:linear(0.2)
            self:diffusealpha(0.95)
        end,
        HideBlurMessageCommand = function(self)
            self:stoptweening()
            self:linear(0.2)
            self:diffusealpha(0)
        end,
    }),
})