local latestSaveVer = W:ReloadParams('Save')
local setup = latestSaveVer or W_OPTION:ReadPref('Setup')
if not setup then
    -- 初回同意画面
    return Def.ActorFrame({
        LoadActor('first'),
        Def.HelpDisplay({
            File = 'Common Small Normal',
            InitCommand=function(self)
                self:diffuse(Color('White'))
                self:zoom(0.4);
                self:xy(0, SCREEN_CENTER_Y-12)
                self:SetSecsBetweenSwitches(3.0)
                self:SetTipsColonSeparated(THEME:GetString('Screen', 'HelperTextDefault'))
            end,
            FinishMessageCommand = function(self)
                self:sleep(0.2)
                self:linear(0.3)
                self:addy(30)
            end,
        }),
    })
else
    -- セットアップ
    return Def.ActorFrame({
        LoadActor('feature'),
        LoadFont('Common Normal')..{
            InitCommand=function(self)
                self:diffuse(Color('White'))
                self:zoom(0.4);
                self:xy(0, SCREEN_CENTER_Y-12)
                self:settext(W_CUSTOM:String('Helper', 'Text'))
            end,
            FinishMessageCommand = function(self)
                self:sleep(0.2)
                self:linear(0.3)
                self:addy(30)
            end,
        },
    })
end
