local width = 620
local height = 70
return Def.ActorFrame({
    LoadActor(W:Object('boxshadow'), 'title', {
        Length = 30,
        Color = color('0, 0, 0, 0.25'),
        Center = color('0.01, 0.08, 0.1, 0.85'),
    })..{
        OnCommand = function(self)
            self:playcommand('UpdateBoxShadow', {
                Id = 'title',
                Width = width,
                Height = height,
            })
        end,
    },
    LoadFont('Common Small Normal')..{
        Name = 'Description',
        Text = THEME:GetString('ScreenCustom', 'Description'),
        InitCommand = function(self)
            self:x(-width/2 + 10)
            self:horizalign(left)
            self:zoom(0.5)
            self:maxwidth((width-20)/0.5)
            self:wrapwidthpixels((width-20)/0.5)
            self:vertspacing(10)
            self:diffuse(Color('White'))
            self:diffusealpha(0.5)
            self:strokecolor(Color('Outline'))
        end,
    },
})