return Def.ActorFrame({
    -- フレーム
    LoadActor('_parts/frame'),
    -- 曲名とジャケット
    LoadActor('_parts/start overlay'),
    -- 曲位置
    LoadActor('_parts/position'),
    -- ハイスピード情報
    LoadActor(W:Object('highspeed label'), 'Gameplay')..{
        OnCommand = function(self)
            self:playcommand('Hide', {Sleep = W_TIMER:GameJacketSleep()})
        end,
    },
    -- 判定記録
    LoadActor('_parts/judgment_record'),
    -- デモ
    LoadActor('_parts/demo spectrum'),
    -- 歌詞
    LoadActor('_parts/lyric'),
    -- 開始前に表示するターゲットスコア
    LoadActor(W:Object('target/static'), 'Gameplay'),

    -- アナウンサー
    LoadActor('announcer'),
})
