local wheelZoom = math.min((1.0*SCREEN_WIDTH/854 + 1.0)/2, 1)
local wheelHeight = 90
local wheelItemHeight = wheelHeight-4
local wheelItemWidth = 110

return Def.ActorFrame({
    InitCommand = function(self)
        self:y(-12)
    end,
    OffCommand=function(self)
        self:sleep(0.2)
        self:linear(0.2)
        self:addy(SCREEN_HEIGHT-150)
    end,
    -- ホイールフレーム背景
    -- LoadActor(THEME:GetPathG('ScreenSelectMusic/wheel/frame', 'bg'))..{
    --     InitCommand = function(self)
    --         -- 16:9以下のサイズの場合表示サイズを小さくする
    --         self:zoom(wheelZoom)
    --         -- ちょっと上にずれるので補正
    --         self:y(math.max((1.0-wheelZoom)*10, 0))
    --     end,
    -- },
    -- ホイール
    Def.ActorProxy({
        OnCommand=function(self)
            local wheel = SCREENMAN:GetTopScreen():GetChild('MusicWheel')
            if wheel then
                self:SetTarget(wheel)
                self:halign(SCREEN_CENTER_X)
                self:valign(SCREEN_CENTER_Y)
                -- 16:9以下のサイズの場合表示サイズを小さくする
                self:zoom(wheelZoom)
                -- ちょっと上にずれるので補正
                self:y(math.max((1.0-wheelZoom)*10, 0))
            end
        end,
    }),
    -- 左右の矢印
    Def.ActorFrame({
        InitCommand=function(self)
            -- 16:9以下のサイズの場合表示サイズを小さくする
            self:zoom(wheelZoom)
            -- ちょっと上にずれるので補正
            self:y(math.max((1.0-wheelZoom)*10, 0))
        end,
        LoadActor(THEME:GetPathG('ScreenSelectMusic/wheel/frame', 'over'), 130),
    }),
})