-- どうしてもグローバル定義する必要がある変数・関数

-- DanceStages用
-- カメラ制御用のグローバル変数
Camera = nil
-- カメラリセット用のグローバル関数
local function ResetCamera()
    return function()
        Camera:fov(90):rotationx(0):rotationz(0):rotationy(180)
            :x(SCREEN_CENTER_X):y(SCREEN_CENTER_Y):z(WideScale(300, 400))
            :addy(10):stopeffect()
    end
end

-- 楽曲ファイル名と同じ動画があるならtrue
-- 判定ザルなのでは…
local function HasVideo()
    return function()
        local song = W:Song()
        local fileNameWOSuffix = string.match(song:GetMusicPath(), '(.+/[^/]+%.)[^.]+')
        local chkType = {'mp4', 'avi', 'mpg', 'mpeg', 'wmv'}
        for _,suffix in pairs(chkType) do
            if FILEMAN:DoesFileExist(fileNameWOSuffix..suffix) then
                return true
            end
        end
        return false
    end
end

GLOBAL = {
    LocalResetCamera = ResetCamera,
    LocalHasVideo = HasVideo,
}
